=== debian/changelog ===
cmocka (1.1.3-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 1.1.3

  [ David Prévot ]
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Declare minimum required cmake version (Closes: #908385)
  * Update copyright
  * Drop static libraries not built anymore

 -- David Prévot <taffit@debian.org>  Fri, 28 Sep 2018 17:43:00 -1000
