=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" \
https://cmocka.org/files/([\d.]+)/cmocka-(.*).tar.xz
