=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     test_fixtures
     test_group_fixtures
     test_groups
+    test_float_macros
     test_assert_macros
     test_assert_macros_fail
     test_basics
@@ -25,7 +26,9 @@
     test_ordering_fail
     test_returns
     test_returns_fail
-    test_wildcard)
+    test_wildcard
+    test_skip_filter
+    )
 
 if (TEST_EXCEPTION_HANDLER)
     list(APPEND CMOCKA_TESTS test_exception_handler)
