=== debian/changelog ===
cmocka (1.1.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Bump debhelper from old 12 to 13.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.
  * Fix field name case in debian/control (Build-Depends-indep =>
    Build-Depends-Indep).

  [ Vagrant Cascadian ]
  * debian/patches: Disable embedding of full path names in documentation
    generated by doxygen. (Closes: #991181)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 29 Dec 2022 10:55:47 -0800

cmocka (1.1.5-2) unstable; urgency=medium

  * Upload to unstable now that buster has been released
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.

 -- David Prévot <taffit@debian.org>  Sat, 10 Aug 2019 17:34:42 -1000

cmocka (1.1.5-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Andreas Schneider ]
  * Bump version to 1.1.5

  [ David Prévot ]
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sun, 31 Mar 2019 21:45:18 -1000
