=== debian/changelog ===
cmocka (1.1.7-3) unstable; urgency=medium

  * Add patch to set CMOCKA_LIBRARIES (Closes: #1060177, #1060178, #1060179,
    #1060178).

 -- Sandro Knauß <hefee@debian.org>  Sun, 07 Jan 2024 10:27:53 +0100

cmocka (1.1.7-2) unstable; urgency=medium

  + Upload to unstable.
  * Disable lto as it fails (#1015370).

 -- Sandro Knauß <hefee@debian.org>  Tue, 19 Dec 2023 15:39:17 +0100

cmocka (1.1.7-1) experimental; urgency=medium

  [ Andreas Schneider ]
  * cpack: Update ignore files for source package generation
  * Bump version to 1.1.7

 -- David Prévot <taffit@debian.org>  Fri, 24 Feb 2023 06:01:43 +0100

cmocka (1.1.6-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Dima Krasner ]
  * meson: Initial Meson build system support

  [ Arnaud Gelas ]
  * cmocka: Add new assert macros to compare 2 double given an epsilon.

  [ Paolo Teti ]
  * Fix possible loss of data reported by MSVC
  * Fix MSVC warning on conversion from 'time_t' to 'double'

  [ Andreas Schneider ]
  * include: Update copyright year info
  * Bump version 1.1.6

  [ Matthias Schiffer ]
  * Fix TAP output for skipped tests

  [ Sergey Bronnikov ]
  * cmocka: add header with version to TAP13 output

  [ Ammar Ratnani ]
  * Fix issue with fail_msg

  [ David Prévot ]
  * Add debian/gbp.conf
  * Update copyright (years)
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.
  * Set Rules-Requires-Root: no.
  * Update symbols

 -- David Prévot <taffit@debian.org>  Fri, 17 Feb 2023 22:12:16 +0100
