=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: David Prévot <taffit@debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://cmocka.org/
 Vcs-Git: https://salsa.debian.org/debian/cmocka.git
 Vcs-Browser: https://salsa.debian.org/debian/cmocka
 Build-Depends-Indep: doxygen
+Rules-Requires-Root: no
 
 Package: cmocka-doc
 Section: doc
