## cmocka 1.1.8

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
 project(tests C)
 
 set(TEST_EXCEPTION_HANDLER TRUE)
+if (WIN32)
+    # FIXME: The exception handler doesn't work on Windows
+    set(TEST_EXCEPTION_HANDLER FALSE)
+endif()
 if (CMAKE_BUILD_TYPE)
     string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
     if (CMAKE_BUILD_TYPE_LOWER STREQUAL "undefinedsanitizer")
@@ -16,18 +20,22 @@
     test_group_fixtures
     test_groups
     test_float_macros
+    test_double_macros
     test_assert_macros
     test_assert_macros_fail
     test_basics
     test_skip
     test_strmatch
+    test_strreplace
     test_setup_fail
     test_ordering
     test_ordering_fail
     test_returns
     test_returns_fail
+    test_string
     test_wildcard
     test_skip_filter
+    test_cmockery
     )
 
 if (TEST_EXCEPTION_HANDLER)
@@ -38,20 +46,17 @@
     add_cmocka_test(${_CMOCKA_TEST}
                     SOURCES ${_CMOCKA_TEST}.c
                     COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
-                    LINK_LIBRARIES ${CMOCKA_STATIC_LIBRARY}
+                    LINK_LIBRARIES cmocka::static
                     LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
     target_include_directories(${_CMOCKA_TEST} PRIVATE ${cmocka_BINARY_DIR})
+
+    add_cmocka_test_environment(${_CMOCKA_TEST})
 endforeach()
 
 ### Special Cases
 if (${CMAKE_C_COMPILER_ID} MATCHES "(GNU|Clang)")
     set_source_files_properties(test_cmockery.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
 endif()
-add_cmocka_test(test_cmockery
-                SOURCES test_cmockery.c
-                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
-                LINK_LIBRARIES ${CMOCKA_STATIC_LIBRARY}
-                LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
 
 ### Exceptions
 
@@ -68,7 +73,7 @@
     test_assert_macros_fail
         PROPERTIES
         PASS_REGULAR_EXPRESSION
-        "\\[  FAILED  \\] 1 test"
+        "\\[  FAILED  \\] tests: 1 test"
 )
 
 # test_ordering ensure proper failures
@@ -76,7 +81,7 @@
     test_ordering_fail
         PROPERTIES
         PASS_REGULAR_EXPRESSION
-        "\\[  FAILED  \\] 7 test"
+        "\\[  FAILED  \\] tests: 7 test"
 )
 
 # test_returns_fail ensure proper failures
@@ -84,22 +89,15 @@
     test_returns_fail
         PROPERTIES
         PASS_REGULAR_EXPRESSION
-        "\\[  FAILED  \\] 3 test"
+        "\\[  FAILED  \\] alloc_tests: 3 test"
 )
 
 # test_exception_handler
 if (TEST_EXCEPTION_HANDLER)
-    if (WIN32)
-        set_tests_properties(test_exception_handler
-                                 PROPERTIES
-                                     PASS_REGULAR_EXPRESSION
-                                         "EXCEPTION_ACCESS_VIOLATION occurred at")
-    else()
-        set_tests_properties(test_exception_handler
-                             PROPERTIES
-                                 PASS_REGULAR_EXPRESSION
-                                     "Test failed with exception: (Segmentation fault|Segmentation Fault|11|Illegal instruction)")
-    endif (WIN32)
+    set_tests_properties(test_exception_handler
+                         PROPERTIES
+                             PASS_REGULAR_EXPRESSION
+                             "Test failed with exception")
 endif (TEST_EXCEPTION_HANDLER)
 
 set_tests_properties(
@@ -124,6 +122,7 @@
 )
 
 add_test(test_setup_fail_1_failed ${TARGET_SYSTEM_EMULATOR} test_setup_fail)
+add_cmocka_test_environment(test_setup_fail_1_failed)
 set_tests_properties(
     test_setup_fail_1_failed
         PROPERTIES
@@ -132,6 +131,7 @@
 )
 
 add_test (test_setup_fail_1_passed ${TARGET_SYSTEM_EMULATOR} test_setup_fail)
+add_cmocka_test_environment(test_setup_fail_1_passed)
 set_tests_properties(
     test_setup_fail_1_passed
         PROPERTIES
@@ -140,6 +140,7 @@
 )
 
 add_test (test_setup_fail_match_failed ${TARGET_SYSTEM_EMULATOR} test_setup_fail)
+add_cmocka_test_environment(test_setup_fail_match_failed)
 set_tests_properties(
     test_setup_fail_match_failed
         PROPERTIES
@@ -148,6 +149,7 @@
 )
 
 add_test (test_setup_fail_match_passed ${TARGET_SYSTEM_EMULATOR} test_setup_fail)
+add_cmocka_test_environment(test_setup_fail_match_passed)
 set_tests_properties(
     test_setup_fail_match_passed
         PROPERTIES
@@ -171,23 +173,26 @@
     xml)
 
 set(test_basics_tap_out
-    "^1\\.\\.2"
+    "^TAP version 13"
+    "1\\.\\.2"
     "ok 1 - null_test_success"
     "ok 2 - int_test_success"
     "# ok - tests")
 set(test_assert_macros_fail_tap_out
-    "^1\\.\\.1"
+    "^TAP version 13"
+    "1\\.\\.1"
     "not ok 1 - test_assert_return_code_fail"
     "#[^\n\r]+[\n\r]#[^\n\r]+[\n\r]# not ok - tests")
 set(test_groups_tap_out
-    "^1\\.\\.1"
+    "^TAP version 13"
+    "1\\.\\.1"
     "ok 1 - null_test_success"
     "# ok - test_group1"
     "1\\.\\.1"
     "ok 1 - int_test_success"
-    "# ok - test_group2")
+    "# ok - test_group2 num=<'\"2&2'\">")
 set(test_skip_tap_out
-    "not ok 1 # SKIP")
+    "ok 1 # SKIP")
 set(test_setup_fail_tap_out
     "not ok 1 - int_test_ignored Could not run test: Test setup failed")
 
@@ -218,7 +223,7 @@
     "<testcase name=\"null_test_success\" time=\"[0-9.]+\" >"
     "</testcase>"
     "</testsuite>"
-    ".*<testsuite name=\"test_group2\" time=\"[0-9.]+\" tests=\"1\" failures=\"0\" errors=\"0\" skipped=\"0\" >"
+    ".*<testsuite name=\"test_group2 num=&lt[;]&apos[;]&quot[;]2&amp[;]2&apos[;]&quot[;]&gt[;]\" time=\"[0-9.]+\" tests=\"1\" failures=\"0\" errors=\"0\" skipped=\"0\" >"
     "<testcase name=\"int_test_success\" time=\"[0-9.]+\" >"
     "</testcase>"
     "</testsuite>"
@@ -234,10 +239,12 @@
     foreach(_OUTPUT_TEST ${OUTPUT_TESTS})
         set(TEST_NAME ${_OUTPUT_TEST}_${_TEST_OUTPUT_FMT})
         add_test(${TEST_NAME} ${TARGET_SYSTEM_EMULATOR} ${_OUTPUT_TEST})
+        add_cmocka_test_environment(${TEST_NAME})
 
         set_property(
             TEST
             ${TEST_NAME}
+            APPEND
             PROPERTY
                 ENVIRONMENT CMOCKA_MESSAGE_OUTPUT=${_TEST_OUTPUT_FMT}
             )
