=== debian/changelog ===
cmocka (1.1.8-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Alexander Dahl ]
  * tests: Add test for test_calloc()
  * cmocka: Add overflow check for test_calloc()
  * cmake: Set CMOCKA_LIBRARIES in package config for backwards compatibility

  [ Jakub Czapiga ]
  * Improve c_strreplace implementation
  * Sanitize XML strings.

  [ Alois Klink ]
  * cmake: disable `-Wdeclaration-after-statement`

  [ Joseph Sutton ]
  * cmocka: Fix assert_memory_equal() display

  [ Andreas Schneider ]
  * doc: Fix pre-defined macro definition
  * tests: Add missing stdint.h
  * Update check for uintptr_t
  * cmake: Require at least version 3.10
  * Bump version to 1.1.8

  [ Yegor Yefremov ]
  * CMakeLists.txt: remove an obsolete policy

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sun, 20 Jul 2025 17:26:04 +0200
