=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: David Prévot <taffit@debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://cmocka.org/
 Vcs-Git: https://salsa.debian.org/debian/cmocka.git
 Vcs-Browser: https://salsa.debian.org/debian/cmocka
